[vlc-commits] contrib: qt: fix static path when compiled in msys

Steve Lhomme git at videolan.org
Thu Mar 19 17:04:50 CET 2020


vlc | branch: master | Steve Lhomme <robux4 at ycbcr.xyz> | Thu Mar 19 11:54:04 2020 +0100| [c1ab7760caf45d466b91132c8fffee9382f6b5bb] | committer: Steve Lhomme

contrib: qt: fix static path when compiled in msys

> http://git.videolan.org/gitweb.cgi/vlc.git/?a=commit;h=c1ab7760caf45d466b91132c8fffee9382f6b5bb
---

 contrib/src/qt/AddStaticLink.sh | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git a/contrib/src/qt/AddStaticLink.sh b/contrib/src/qt/AddStaticLink.sh
index 99a2b94809..e733701a02 100755
--- a/contrib/src/qt/AddStaticLink.sh
+++ b/contrib/src/qt/AddStaticLink.sh
@@ -6,7 +6,12 @@
 #
 # This could also be done in configure.ac to detect what plugins are available and where to add them
 
-PREFIX=$(python3 -c "import os; print(os.path.realpath('$1'))")
+REAL_PREFIX="$1"
+if [ ! `cygpath.exe -pm / || echo FAIL` = "FAIL" ]; then
+    REAL_PREFIX=`cygpath.exe -pm ${REAL_PREFIX}`
+fi
+
+PREFIX=$(python3 -c "import os; print(os.path.realpath('${REAL_PREFIX}'))")
 PLUGIN_PATH="$3"
 PLUGIN_NAME="$4"
 



More information about the vlc-commits mailing list